org.apache.log4j.chainsaw

## Class SortArrowIcon

- java.lang.Object
- - org.apache.log4j.chainsaw.SortArrowIcon

- All Implemented Interfaces:
    Icon

      public class SortArrowIcon
      extends Object
      implements Icon

  An Icon that is a Nice arrow to be used for displaying which Column is being used for sorting.
  Author:
    Claude Duguay

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ASCENDING`
    `static int` | `DECENDING`
    `protected int` | `direction`
    `protected int` | `height`
    `static int` | `NONE`
    `protected int` | `width`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SortArrowIcon(int direction)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getIconHeight()`
    `int` | `getIconWidth()`
    `void` | `paintIcon(Component c, Graphics g, int x, int y)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NONE

          public static final int NONE

      See Also:
        Constant Field Values

    - #### DECENDING

          public static final int DECENDING

      See Also:
        Constant Field Values

    - #### ASCENDING

          public static final int ASCENDING

      See Also:
        Constant Field Values

    - #### direction

          protected int direction

    - #### width

          protected int width

    - #### height

          protected int height

  - ### Constructor Detail

    - #### SortArrowIcon

          public SortArrowIcon(int direction)

  - ### Method Detail

    - #### getIconWidth

          public int getIconWidth()

      Specified by:
        `getIconWidth` in interface `Icon`

    - #### getIconHeight

          public int getIconHeight()

      Specified by:
        `getIconHeight` in interface `Icon`

    - #### paintIcon

          public void paintIcon(Component c,
                                Graphics g,
                                int x,
                                int y)

      Specified by:
        `paintIcon` in interface `Icon`

Copyright © 2002-2018 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache Chainsaw, Chainsaw, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.